Bug 1469151 - erroneous behavior of spinner and spinner box in advanced search loading
Summary: erroneous behavior of spinner and spinner box in advanced search loading
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.10.0
Assignee: Martin Hradil
QA Contact: Yadnyawalk Tale
URL:
Whiteboard: ui:spinner
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-10 13:58 UTC by Yadnyawalk Tale
Modified: 2019-02-07 23:02 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.22
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:36 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:47 UTC

Comment 3 CFME Bot 2018-10-30 09:11:29 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/c4abfe614cafe25034f34e4e5daff3025b317e9a
commit c4abfe614cafe25034f34e4e5daff3025b317e9a
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Mon Oct 29 08:32:53 2018 -0400
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Oct 29 08:32:53 2018 -0400

    Advanced search - use the right spinner

    some actions in the advanced search modal would previously only trigger the big sparkle, which happens under the model

    this makes the commit & discard buttons use the search spinner, which happens over the modal

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1469151

 app/views/layouts/exp_atom/_editor.html.haml | 24 +-
 1 file changed, 9 insertions(+), 15 deletions(-)

Comment 4 CFME Bot 2018-10-30 12:36:29 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/c40152cd3d6e10aba82be3ce610d674059c8beea
commit c40152cd3d6e10aba82be3ce610d674059c8beea
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Oct 30 05:09:41 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Tue Oct 30 05:09:41 2018 -0400

    Merge pull request #4847 from himdel/adv-search-bz1469151

    Advanced search - use the right spinner

    (cherry picked from commit d02de028497ca358e6591822379b61cce9428bd1)

    https://bugzilla.redhat.com/show_bug.cgi?id=1469151

 app/views/layouts/exp_atom/_editor.html.haml | 24 +-
 1 file changed, 9 insertions(+), 15 deletions(-)

Comment 5 Yadnyawalk Tale 2018-11-12 09:40:26 UTC
Fixed! Issue is no more reproducible.
I can see expected spinner activity.

Verified on 5.10.0.23.20181106165157_92dd189
Thank you!

Comment 6 errata-xmlrpc 2019-02-07 23:02:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.